Bug 1251492 - ipa-client-install asks downloading CA cert that is already present in the system (in Shared System Certificates)
ipa-client-install asks downloading CA cert that is already present in the sy...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 09:48 EDT by David Jaša
Modified: 2017-08-02 02:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2015-08-07 09:48:43 EDT
Description of problem:
ipa-client-install asks CA with certificate in Shared System Certificates

Version-Release number of selected component (if applicable):
ipa-client-4.2.0-3.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. have a fresh RHEL 7.2 machine - a prospective IPA client
2. add IPA cert to shared system certs (it should be retrieved from already-trusted location in production use)
> # wget -O /etc/pki/ca-trust/source/anchors/ipa.pem http://ipa.example.org/ipa/config/ca.crt
> # update-ca-trust
3. run ipa-client install without --ca-cert-file option

Actual results:
ipa-client-install asks if it should download the cert from IPA itself

Expected results:
ipa-client-install should know use the cert from shared certificates

Additional info:
Comment 1 Petr Vobornik 2015-08-11 10:19:08 EDT
edge case, moving to 7.3
Comment 2 Petr Vobornik 2015-08-11 10:20:23 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5201

Note You need to log in before you can comment on or make changes to this bug.